<template>
  <div class="conversation-list">
    <h3 class="title">Conversations</h3>
    <ul class="conversation-list-items">
      <li
        v-for="conversation in conversations"
        :key="conversation.id"
        @click="selectConversation(conversation)"
        :class="{ active: selectedConversation === conversation }"
      >
        {{ conversation.name }}
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  data() {
    return {
      conversations: [],
      selectedConversation: null
    };
  },
  methods: {
    selectConversation(conversation) {
      this.selectedConversation = conversation;
      this.$emit("conversationSelected", conversation);
    }
  }
};
</script>

<style>
.conversation-list {
  height: 100%;
  padding: 1rem;
  background-color: #f2f2f2;
}

.title {
  font-size: 1.5rem;
  margin-bottom: 1rem;
}

.conversation-list-items {
  list-style: none;
  padding: 0;
  margin: 0;
}

.conversation-list-items li {
  padding: 1rem;
  cursor: pointer;
}

.conversation-list-items li.active {
  background-color: #e2e2e2;
}
</style>
